# $Revision: 1.93.2.2 $, $Date: 2006/04/10 12:26:51 $
#
# Conditional build:
%bcond_without	imlib2		# disable imlib2 (pixmap themes) support
%bcond_with	old_wheel	# build with right wheel direction
#
Summary:	Fluxbox is a windowmanager that is based on Blackbox
Summary(pl):	May i szybki zarzdca okien dla X Window oparty o Blackbox
Summary(pt_BR):	Fluxbox  um gerenciador de janelas baseado no Blackbox
Summary(de):	Fluxbox ist ein weiterer Window Manager fr X
Name:		fluxbox
Version:	0.9.15.1
Release:	1
Epoch:		1
License:	BSD-like
Group:		X11/Window Managers
Source0:	http://dl.sourceforge.net/fluxbox/%{name}-%{version}.tar.bz2
# Source0-md5:	098eb36a09338aabb63b938a5eab9ef6
Source1:	%{name}.desktop
Source2:	%{name}-xsession.desktop
Source3:	%{name}-pld.style
Source4:	%{name}-pld.jpg
Source5:	%{name}.menu
Patch0:		%{name}-dont_generate_menu.patch
Patch1:		%{name}-wheel_direction.patch
URL:		http://fluxbox.sourceforge.net/
BuildRequires:	XFree86-devel
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	gettext-devel
%{?with_imlib2:BuildRequires:	imlib2-devel >= 1.0.0}
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	xft-devel
BuildRequires:	xrender-devel
Requires(post):	vfmg >= 0.9.16-3
Requires:	vfmg >= 0.9.16-3
Requires:	xinitrc-ng
Provides:	blackbox
Obsoletes:	blackbox
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define         _sysconfdir     /etc/X11/%{name}
%define		_wmpropsdir	/usr/share/wm-properties

%description
Fluxbox is yet another windowmanager for X. It's based on the Blackbox
0.61.1 code. Fluxbox looks like blackbox and handles styles, colors,
window placement and similar thing exactly like blackbox (100%
theme/style compatibility). So what's the difference between fluxbox
and blackbox then? The answer is: LOTS! Have a look at the homepage
for more info ;)

%description -l pl
Fluxbox jest zarzdc okien dla X Window opartym na Blackboksie
0.61.1. Jego zalet jest estetyczny i szybki interfejs z wieloma
pulpitami i prostym menu. Wbudowano we take algorytm rysowania
dekoracji okien, ktre mog by jednokolorowe, gradientowe lub
trjwymiarowe.

%description -l pt_BR
Fluxbox  um gerenciador de janelas para X. Ele  baseado no cdigo do
Blackbox 0.61.1. Fluxbox tem a aparncia do blackbox e pode utilizar
seus estilos, cores e temas. Ento qual a diferena entre o fluxbox e
o blackbox?

%description -l de
Fluxbox ist ein weiterer Window Manager fr X basierend auf dem
Quellcode von Blackbox 0.61.1. Fluxbox hnelt Blackbox und behandelt
Styles, Farben, Fensterplatzierungen und hnliche Dinge genauso wie
Blackbox. Es ist somit 100% kompatibel zu den Blackbox Themes und
Styles.

%prep
%setup -q
%patch0 -p1
%{!?with_old_wheel:%patch1 -p1}

echo "session.screen0.antialias: true" >> data/init.in

%build
%{__libtoolize}
%{__aclocal} -I .
%{__autoheader}
%{__autoconf}
%{__automake}
%configure \
	--enable-slit \
	--enable-kde \
	--enable-gnome \
	--enable-xinerama \
	--enable-nls \
	--enable-xft \
	--enable-xrandr \
	%{?with_imlib2:--enable-imlib2}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_datadir}/{xsessions,wallpapers,%{name}/styles},%{_wmpropsdir}} \
	$RPM_BUILD_ROOT%{_sysconfdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_wmpropsdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/xsessions/%{name}.desktop
install %{SOURCE3} $RPM_BUILD_ROOT%{_datadir}/%{name}/styles/PLD
install %{SOURCE4} $RPM_BUILD_ROOT%{_datadir}/wallpapers
install %{SOURCE5} $RPM_BUILD_ROOT%{_datadir}/fluxbox/menu
touch $RPM_BUILD_ROOT%{_sysconfdir}/menu2

rm -rf $RPM_BUILD_ROOT%{_datadir}/fluxbox/nls/no*

%clean
rm -rf $RPM_BUILD_ROOT

%post
# generate initial menu
[ -f /etc/sysconfig/vfmg ] && . /etc/sysconfig/vfmg
[ "$FLUXBOX" = yes -o "$FLUXBOX" = 1 -o ! -f %{_sysconfdir}/menu2 ] && \
	vfmg -i -f -x -c -s fluxbox > %{_sysconfdir}/menu2 2>/dev/null ||:

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%attr(755,root,root) %{_bindir}/*
%dir %{_sysconfdir}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/menu2
%dir %{_datadir}/fluxbox
%{_datadir}/fluxbox/[!n]*
%dir %{_datadir}/fluxbox/nls
%{_datadir}/fluxbox/nls/C
%lang(be) %{_datadir}/fluxbox/nls/be*
%lang(bg) %{_datadir}/fluxbox/nls/bg*
%lang(cs) %{_datadir}/fluxbox/nls/cs*
%lang(da) %{_datadir}/fluxbox/nls/da*
%lang(de) %{_datadir}/fluxbox/nls/de*
%lang(el) %{_datadir}/fluxbox/nls/el*
%lang(es) %{_datadir}/fluxbox/nls/es*
%lang(et) %{_datadir}/fluxbox/nls/et*
%lang(fr) %{_datadir}/fluxbox/nls/fr*
%lang(it) %{_datadir}/fluxbox/nls/it*
%lang(ja) %{_datadir}/fluxbox/nls/ja*
%lang(ko) %{_datadir}/fluxbox/nls/ko*
%lang(lv) %{_datadir}/fluxbox/nls/lv*
%lang(nb) %{_datadir}/fluxbox/nls/nb*
%lang(nl) %{_datadir}/fluxbox/nls/nl*
%lang(pl) %{_datadir}/fluxbox/nls/pl*
%lang(pt) %{_datadir}/fluxbox/nls/pt_PT
%lang(pt_BR) %{_datadir}/fluxbox/nls/pt_BR
%lang(ru) %{_datadir}/fluxbox/nls/ru*
%lang(sl) %{_datadir}/fluxbox/nls/sl*
%lang(sv) %{_datadir}/fluxbox/nls/sv*
%lang(tr) %{_datadir}/fluxbox/nls/tr*
%lang(uk) %{_datadir}/fluxbox/nls/uk*
%lang(vi) %{_datadir}/fluxbox/nls/vi*
%lang(zh_CN) %{_datadir}/fluxbox/nls/zh*
%{_datadir}/xsessions/%{name}.desktop
%{_wmpropsdir}/fluxbox.desktop
%{_datadir}/wallpapers/*
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: fluxbox.spec,v $
Revision 1.93.2.2  2006/04/10 12:26:51  dzeus
- up to 0.9.15.1

Revision 1.93.2.1  2006/03/27 08:46:41  megabajt
- updated to 0.9.15
- removed styles.patch (already in sources)

Revision 1.93  2006/03/16 10:46:23  atler
- fix imlib2 BR

Revision 1.92  2006/02/08 13:02:32  maciek2w
- updated to 0.9.14
- STBR

Revision 1.91  2005/12/07 11:13:57  qboosh
- added imlib2 bcond

Revision 1.90  2005/06/12 19:35:04  megabajt
- up to 0.9.13

Revision 1.89  2005/06/01 19:20:37  zbyniu
- BR: gettext-devel

Revision 1.88  2005/03/23 12:01:47  spider
- added german description

Revision 1.87  2005/01/21 22:47:54  kolodko
- BR: imlib2-devel, Imlib2 support to fluxbox
- rel 2

Revision 1.86  2005/01/21 21:37:29  paszczus
- updated to 0.9.12
- cleanups
- STBR

Revision 1.85  2004/12/14 21:05:33  kolodko
- up to 0.9.11, tested and works
- enable nls
- rel 1
- STBR

Revision 1.84  2004/12/14 10:38:39  qboosh
- fixed short-cirtuit, cleanup

Revision 1.83  2004/12/14 10:30:19  kolodko
- antialias by default
- rel 2

Revision 1.82  2004/11/11 02:13:05  havner
- 20041111

Revision 1.81  2004/10/18 19:26:14  havner
- 20041018

Revision 1.80  2004/09/27 16:23:38  ankry
- fix quoting, rel. .3

Revision 1.79  2004/09/16 10:04:37  ankry
- don't rebuild menu in %post if shouldn't, rel. .2

Revision 1.78  2004/09/08 19:55:22  havner
- 20040908

Revision 1.77  2004/09/04 18:04:17  havner
- 0.9.10-20040904
- dropped fontscache patch

Revision 1.76  2004/08/16 10:30:37  krolik
- fontcache.patch fixed, it builds now
- rel. 0.%{snap}.2

Revision 1.75  2004/08/15 23:28:18  havner
- 20040815, minor bugfixes

Revision 1.74  2004/08/06 20:03:37  luzik
 - added --with old_wheel bcond, wrrr..

Revision 1.73  2004/08/06 17:31:06  havner
- mouse_wheel patch

Revision 1.72  2004/08/06 16:57:34  havner
- snap 20040806
- dont_generate_menu patch
- enable-xinerama

Revision 1.71  2004/07/16 01:55:14  havner
- 20040716

Revision 1.70  2004/07/15 17:05:03  havner
- 20040715, fixed small bugs

Revision 1.69  2004/07/14 00:42:13  havner
- snap URL

Revision 1.68  2004/07/14 00:34:48  havner
- updated to 20040713
  lot's of updates, speeds up
- dropped nls patch (nls is under heavy reorganization in fluxbox)
- fonts-cache patch
- NFY, this snap may be broken in some points, but works stable

Revision 1.67  2004/07/09 20:01:35  havner
- R: xinitrc-ng

Revision 1.66  2004/07/09 13:41:43  havner
- rel up for fixed pld-cvs source files

Revision 1.65  2004/07/07 23:45:29  havner
- rel up

Revision 1.64  2004/07/07 21:08:58  havner
- BR: vfmg not needed

Revision 1.63  2004/07/07 20:53:32  qboosh
- Requires(post): vfmg

Revision 1.62  2004/07/07 16:34:54  havner
- didn't notice sysconfdir defined in spec

Revision 1.61  2004/07/07 15:18:09  havner
- small fix about menu2

Revision 1.60  2004/07/07 14:54:49  havner
- correct %config

Revision 1.59  2004/07/07 14:20:42  havner
- menu2 moved to /etc

Revision 1.58  2004/07/06 22:44:43  havner
- menu generation added

Revision 1.57  2004/07/04 21:51:22  havner
- small fix

Revision 1.56  2004/07/04 20:43:07  havner
- small fix

Revision 1.55  2004/07/04 20:41:10  havner
- fixed snap versioning

Revision 1.54  2004/05/05 14:34:12  havner
- snap, fixed gcc 3.4 compiling, window.label style backward compatibility
  and some minor fixes

Revision 1.53  2004/05/04 16:02:40  pluto
- gcc 3.4 fixes.

Revision 1.52  2004/05/02 23:15:30  havner
- added pld theme with yogib wallpaper
- BR: xrender-devel

Revision 1.51  2004/04/29 19:37:22  twittner
- rel. 2

Revision 1.50  2004/04/29 19:33:02  twittner
- fixed for xft.m4 by removing stupid -XFT.patch - xft.m4 is included
  in sources.

Revision 1.49  2004/04/26 20:37:35  yogib
- 0.9.9 updated %%files and nls patch

Revision 1.48  2004/04/22 17:48:26  yogib
- withdrawn last changes

Revision 1.47  2004/01/25 13:18:44  yogib
- added default PLD theme

Revision 1.46  2004/01/15 20:47:08  yogib
- up to 0.9.8

Revision 1.45  2004/01/05 21:41:06  qboosh
- unified Source0 URL

Revision 1.44  2004/01/05 21:09:32  yogib
- updated to 0.9.7
- updated nls patch

Revision 1.43  2003/12/11 16:29:01  areq
- Epoch: 0

Revision 1.42  2003/12/06 14:22:27  mkierus
- up to 0.9.6

Revision 1.41  2003/09/28 22:54:00  adgor
- Added desktop file for gdm/kdm support

Revision 1.40  2003/09/12 13:47:01  erjot
- md5

Revision 1.39  2003/09/12 11:50:00  erjot
- 0.9.6pre1 because 0.9.5 sux

Revision 1.38  2003/07/13 13:40:00  erjot
- up to 0.9.4

Revision 1.37  2003/07/08 18:26:38  blues
- "f" and some "g" letters of small fixes inpired by kloczek

Revision 1.36  2003/06/11 11:05:31  qboosh
- added nls-codesets patch (for gencat from glibc 2.3.x)
- use lang() for nls files

Revision 1.35  2003/06/11 10:28:19  qboosh
- fixed License, s/XFree86-xft-devel/xft-devel/

Revision 1.34  2003/06/10 15:52:33  adamg
- updated to 0.9.3

Revision 1.33  2003/05/29 21:49:54  erjot
- correct m5sum

Revision 1.32  2003/05/26 10:12:30  erjot
- Source0-md5

Revision 1.31  2003/05/25 05:47:27  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.30  2003/05/16 10:33:43  deejay1
- From: Rafal Janiczek <jojo@oho.pl> - up to 0.9.2

Revision 1.29  2003/04/23 16:17:10  kloczek
- merge translations from Conectiva.

Revision 1.28  2003/04/21 21:22:20  djrzulf
- From: Robert 'dzeus' Grauenis <dzeus@linux.pl> :
  - updated to 0.9.1,

Revision 1.27  2003/03/29 05:36:15  djrzulf
- From: Robert 'dzeus' Grauenis <dzeus@linux.pl>
  added BR: libtool,

Revision 1.26  2003/03/23 20:29:34  djrzulf
- From: Rafal Janiczek <jojo@oho.pl>,

Revision 1.25  2003/02/17 15:05:21  qboosh
- changed _wmpropsdir to _prefix-independent location (/usr/share/wm-properties)

Revision 1.24  2003/01/18 22:46:46  juandon
- removed two lines with define

Revision 1.23  2002/12/13 15:24:03  ankry
- adapterized

Revision 1.22  2002/12/12 17:39:34  areq
- 0.1.14, STBR

Revision 1.21  2002/12/01 11:48:03  areq
- add fluxbox-0.1.13-bugfix1.patch
- add BuildRequires Xft-devel
- Release 2, STBR

Revision 1.20  2002/11/25 01:40:37  ankry
Massive attack:
- s/man[ea]d[z][ae]r/zarzdca/g
- (some) new %%doc

Revision 1.19  2002/11/20 09:28:41  krolik
updated to new 0.1.13 version

Revision 1.18  2002/10/09 13:14:22  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.17  2002/09/12 19:23:34  areq
- 0.1.12. STBR

Revision 1.16  2002/09/03 18:30:52  kloczek
- (auto)updated to 0.1.11: new factures and bug fixes.

Revision 1.15  2002/07/14 10:14:03  areq
- 0.1.10, STBR
- remove outdated patch

Revision 1.14  2002/07/10 12:34:24  qboosh
- BR: autoconf,automake

Revision 1.13  2002/07/10 12:25:21  qboosh
- use configure macro, removed not working cxx mapping (libstdc++ is needed)
- release 2

Revision 1.12  2002/07/08 08:24:23  jajcus
- Release 1 (seems finished)
- remove "missing" file (configure complains that it is too old)

Revision 1.11  2002/06/05 14:49:15  areq
- add 2 patch
 bugfix1 just fixes NLS
 bug [ 562882 ] "bbpager in slit doesn't work correctly". (a slit client bug)
 bug [ 562713 ] "incorrect listings in workspace menu".
 bug [ 554646 ] "Dialog boxes have tabs briefly".  WindOws that are not maximizable by default, such as dialogs, wont get a tab by default.
- add mandir to configure
- release 0.2, STBR

Revision 1.10  2002/05/28 14:12:23  areq
- 0.1.9, Release 0.1, STBR
- enable gnome
- new %doc

Revision 1.9  2002/05/21 09:31:10  kloczek
- if it possible map %%{__cc} to %%{__cxx} in the same way as in mozilla.spec.

Revision 1.8  2002/04/20 02:24:23  kloczek
- removed COPYING and INSTALL from %doc and few other small cosmetics.

Revision 1.7  2002/04/19 17:54:48  areq
- 0.1.8, STBR

Revision 1.6  2002/03/22 10:45:59  areq
- Release 2, STBR

Revision 1.5  2002/03/22 10:44:04  areq
- add bugfix1.patch - Fixes the withdrawn app bug.

Revision 1.4  2002/03/19 15:20:17  ankry
- fixed URLs

Revision 1.3  2002/03/02 19:52:35  kloczek
- cosmetics.

Revision 1.2  2002/03/02 19:41:21  areq
- up to 0.1.7

Revision 1.1  2002/02/28 17:38:54  areq
- init spec for PLD
